| TagLib 1.13 |  |

Public Member Functions | List of all members
TagLib::Mod::Tag Class Reference

`#include <modtag.h>`

Inheritance diagram for TagLib::Mod::Tag:
[legend]
Collaboration diagram for TagLib::Mod::Tag:
[legend]

## Public Member Functions
| Tag ()
virtual | ~Tag ()
virtual String | title () const
virtual String | artist () const
virtual String | album () const
virtual String | comment () const
virtual String | genre () const
virtual unsigned int | year () const
virtual unsigned int | track () const
String | trackerName () const
virtual void | setTitle (const String &title)
virtual void | setArtist (const String &artist)
virtual void | setAlbum (const String &album)
virtual void | setComment (const String &comment)
virtual void | setGenre (const String &genre)
virtual void | setYear (unsigned int year)
virtual void | setTrack (unsigned int track)
void | setTrackerName (const String &trackerName)
PropertyMap | properties () const
PropertyMap | setProperties (const PropertyMap &)
Public Member Functions inherited from TagLib::Tag
virtual | ~Tag ()
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual String | title () const =0
virtual String | artist () const =0
virtual String | album () const =0
virtual String | comment () const =0
virtual String | genre () const =0
virtual unsigned int | year () const =0
virtual unsigned int | track () const =0
virtual void | setTitle (const String &s)=0
virtual void | setArtist (const String &s)=0
virtual void | setAlbum (const String &s)=0
virtual void | setComment (const String &s)=0
virtual void | setGenre (const String &s)=0
virtual void | setYear (unsigned int i)=0
virtual void | setTrack (unsigned int i)=0
virtual bool | isEmpty () const

## Additional Inherited Members
Static Public Member Functions inherited from TagLib::Tag
static void | duplicate (const Tag *source, Tag *target, bool overwrite=true)
Protected Member Functions inherited from TagLib::Tag
| Tag ()

## Detailed Description

Tags for module files (Mod, S3M, IT, XM).

Note that only the title is supported as such by most module file formats. Except for XM files the trackerName is derived from the file format or the flavour of the file format. For XM files it is stored in the file.

The comment tag is not strictly supported by module files, but it is common practice to abuse instrument/sample/pattern names as multiline comments. TagLib does so as well.

## Constructor & Destructor Documentation

## ◆ Tag()

TagLib::Mod::Tag::Tag | ( |  | ) |

## ◆ ~Tag()

virtual TagLib::Mod::Tag::~Tag | ( |  | ) |
| virtual

Destroys this Tag instance.

Reimplemented from TagLib::Tag.

## Member Function Documentation

## ◆ album()

virtual String TagLib::Mod::Tag::album | ( |  | ) | const
| virtual

Not supported by module files. Therefore always returns String::null.

Implements TagLib::Tag.

## ◆ artist()

virtual String TagLib::Mod::Tag::artist | ( |  | ) | const
| virtual

Not supported by module files. Therefore always returns String::null.

Implements TagLib::Tag.

## ◆ comment()

virtual String TagLib::Mod::Tag::comment | ( |  | ) | const
| virtual

Returns the track comment derived from the instrument/sample/pattern names; if no comment is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ genre()

virtual String TagLib::Mod::Tag::genre | ( |  | ) | const
| virtual

Not supported by module files. Therefore always returns String::null.

Implements TagLib::Tag.

## ◆ properties()

PropertyMap TagLib::Mod::Tag::properties | ( |  | ) | const

Implements the unified property interface – export function. Since the module tag is very limited, the exported map is as well.

## ◆ setAlbum()

virtual void TagLib::Mod::Tag::setAlbum | ( | const String & | album | ) |
| virtual

Not supported by module files and therefore ignored.

Implements TagLib::Tag.

## ◆ setArtist()

virtual void TagLib::Mod::Tag::setArtist | ( | const String & | artist | ) |
| virtual

Not supported by module files and therefore ignored.

Implements TagLib::Tag.

## ◆ setComment()

virtual void TagLib::Mod::Tag::setComment | ( | const String & | comment | ) |
| virtual

Sets the comment to comment. If comment is String::null then this value will be cleared.

Note that module file formats don't actually support a comment tag. Instead the names of instruments/patterns/samples are abused as a multiline comment. Because of this the number of lines in a module file is fixed to the number of instruments/patterns/samples.

Also note that the instrument/pattern/sample name length is limited an thus the line length in comments are limited. Too big comments will be truncated.

The line length limits per file type are (1 character = 1 byte): Mod 22 characters, S3M 27 characters, IT 25 characters and XM 22 characters.

Implements TagLib::Tag.

## ◆ setGenre()

virtual void TagLib::Mod::Tag::setGenre | ( | const String & | genre | ) |
| virtual

Not supported by module files and therefore ignored.

Implements TagLib::Tag.

## ◆ setProperties()

PropertyMap TagLib::Mod::Tag::setProperties | ( | const PropertyMap & |  | ) |

Implements the unified property interface – import function. Because of the limitations of the module file tag, any tags besides COMMENT, TITLE and, if it is an XM file, TRACKERNAME, will be returned. Additionally, if the map contains tags with multiple values, all but the first will be contained in the returned map of unsupported properties.

## ◆ setTitle()

virtual void TagLib::Mod::Tag::setTitle | ( | const String & | title | ) |
| virtual

Sets the title to title. If title is String::null then this value will be cleared.

The length limits per file type are (1 character = 1 byte): Mod 20 characters, S3M 27 characters, IT 25 characters and XM 20 characters.

Implements TagLib::Tag.

## ◆ setTrack()

virtual void TagLib::Mod::Tag::setTrack | ( | unsigned int | track | ) |
| virtual

Not supported by module files and therefore ignored.

Implements TagLib::Tag.

## ◆ setTrackerName()

void TagLib::Mod::Tag::setTrackerName | ( | const String & | trackerName | ) |

Sets the tracker name to trackerName. If trackerName is String::null then this value will be cleared.

Note that only XM files support this tag. Setting the tracker name for other module file formats will be ignored.

The length of this tag is limited to 20 characters (1 character = 1 byte).

## ◆ setYear()

virtual void TagLib::Mod::Tag::setYear | ( | unsigned int | year | ) |
| virtual

Not supported by module files and therefore ignored.

Implements TagLib::Tag.

## ◆ title()

virtual String TagLib::Mod::Tag::title | ( |  | ) | const
| virtual

Returns the track name; if no track name is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ track()

virtual unsigned int TagLib::Mod::Tag::track | ( |  | ) | const
| virtual

Not supported by module files. Therefore always returns 0.

Implements TagLib::Tag.

## ◆ trackerName()

String TagLib::Mod::Tag::trackerName | ( |  | ) | const

Returns the name of the tracker used to create/edit the module file. Only XM files store this tag to the file as such, for other formats (Mod, S3M, IT) this is derived from the file type or the flavour of the file type. Therefore only XM files might have an empty (String::null) tracker name.

## ◆ year()

virtual unsigned int TagLib::Mod::Tag::year | ( |  | ) | const
| virtual

Not supported by module files. Therefore always returns 0.

Implements TagLib::Tag.

The documentation for this class was generated from the following file:

- modtag.h